Subject: RE: ImageMagick/PerlMagick
From: "Bill McCormick" <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: <[email-masked]>, "Magick-Users" <[email-masked]>
Date: Wed, 23 Jul 2003 15:10:07 -0500

From a cygwin list post:

You wrote ...

> This looks weird:
>
>    'LIBS'       => ['-L/usr/local/lib -lMagick -L/usr/X11R6/lib \
>                      -L/usr/X11R6/lib -L/usr/lib -L/lib -ljbig \
>                      -ltiff -lfreetype -ljpeg -lpng -ldpstk \
>                      -ldps -lXext -lSM -lICE -lX11 -lbz2 -lxml2 \
>                      -lz -lgdi32 -lpthread -lm'],
>
> I would change this to:
>
>    'LIBS'       => ['-L/usr/local/lib -lMagick -L/usr/X11R6/lib \
>                      -ljbig -ltiff -lfreetype -ljpeg -lpng -ldpstk \
>                      -ldps -lXext -lSM -lICE -lX11 -lbz2 -lxml2 \
>                      -lz'],
>
> I don't know about libdps and libdpstk, are they needed, do you have
> them?  Why is libMagick not found: because MakeMaker is somewhat
> broken, it looks for libMagick.a and you probably have just
> libMagick.dll.a, you must supply a symlink:
> `ln -s libMagick.dll.a libMagick.a` ?
>

The problem wouldn't appear to be with the libs that you suggest look to be
weird. I don't know what they are either, but configure thinks I need them.
It may come up again later and be something to take a look at. Thanks.

 ** See my last post **

I have both libMagick.a libMagick.dll.a. I don't know what MakeMaker is or
how to use it or how to fix it if it's broken. Based on it's name however, I
can guess. I'll look into this. Maybe I just made it compile but it won't
actually be of any use once I start doing the perl. I'll trudge forward
until the next issue comes up.

Thanks,

Bill
---
Outgoing mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.502 / Virus Database: 300 - Release Date: 7/18/2003

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/